# Transfer first slot from inventory to new storage; stop iterating if none left
data modify storage cake:inventory Slot set value {}
execute store result score $iterate inventory run data modify storage cake:inventory Slot set from storage cake:inventory Inventory[0]

# Item finding
# Test to see if slot contains tipped arrow; set flag if found
execute if data storage cake:inventory Slot{id:"minecraft:tipped_arrow"} run scoreboard players set $run_effect inventory 1
# If tipped arrow found, stop iterating
execute if score $run_effect inventory matches 1 run scoreboard players set $iterate inventory 0
# Test to see if slot contains regular arrow; stop iterating if found
execute if data storage cake:inventory Slot{id:"minecraft:arrow"} run scoreboard players set $iterate inventory 0
execute if data storage cake:inventory Slot{id:"minecraft:spectral_arrow"} run scoreboard players set $iterate inventory 0

# Run something if the tipped arrow was found
#execute if score $run_effect inventory matches 1 run say tipped arrow found!
execute if score $run_effect inventory matches 1 run function cake:arrow_detection/effect

# Remove next item from inventory
data remove storage cake:inventory Inventory[0]

# Re-run this function if we have not found a tipped arrow
execute if score $iterate inventory matches 1 run function cake:arrow_detection/check_inventory